# Method: findPickupPointsForPlace

- [HTTP request](https://developers.google.com/maps/documentation/mobility/location-selection-api/reference/rest/v1beta/TopLevel/findPickupPointsForPlace#body.HTTP_TEMPLATE)
- [Request body](https://developers.google.com/maps/documentation/mobility/location-selection-api/reference/rest/v1beta/TopLevel/findPickupPointsForPlace#body.request_body)
  - [JSON representation](https://developers.google.com/maps/documentation/mobility/location-selection-api/reference/rest/v1beta/TopLevel/findPickupPointsForPlace#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/maps/documentation/mobility/location-selection-api/reference/rest/v1beta/TopLevel/findPickupPointsForPlace#body.response_body)
  - [JSON representation](https://developers.google.com/maps/documentation/mobility/location-selection-api/reference/rest/v1beta/TopLevel/findPickupPointsForPlace#body.FindPickupPointsForPlaceResponse.SCHEMA_REPRESENTATION)

Find pickup points for a given place.

### HTTP request

`POST https://locationselection.googleapis.com/v1beta:findPickupPointsForPlace`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "placeId": string, "localizationPreferences": { object (`https://developers.google.com/maps/documentation/mobility/location-selection-api/reference/rest/v1beta/LocalizationPreferences`) }, "searchLocation": { object (`https://developers.google.com/maps/documentation/mobility/location-selection-api/reference/rest/v1beta/LatLng`) }, "orderBy": enum (`https://developers.google.com/maps/documentation/mobility/location-selection-api/reference/rest/v1beta/PickupPointOrder`), "destination": { object (`https://developers.google.com/maps/documentation/mobility/location-selection-api/reference/rest/v1beta/LatLng`) }, "maxResults": integer, "travelModes": [ enum (`https://developers.google.com/maps/documentation/mobility/location-selection-api/reference/rest/v1beta/TravelMode`) ], "computeWalkingEta": boolean, "computeDrivingEta": boolean } ``` |

| Fields ||
|---|---|
| `placeId` | `string` Required. Place ID of the place for which pick-up points are requested. |
| `localizationPreferences` | ``object (`https://developers.google.com/maps/documentation/mobility/location-selection-api/reference/rest/v1beta/LocalizationPreferences`)`` Required. Preferences used for localizing the texts in response, for example, name and address. |
| `searchLocation` | ``object (`https://developers.google.com/maps/documentation/mobility/location-selection-api/reference/rest/v1beta/LatLng`)`` Location to use for searching pickup points and calculating distances and ETAs to pickup points. If not set, the location of the place associated with the given place id is used. |
| `orderBy` | ``enum (`https://developers.google.com/maps/documentation/mobility/location-selection-api/reference/rest/v1beta/PickupPointOrder`)`` Required. Ordering to use when returning results. |
| `destination` | ``object (`https://developers.google.com/maps/documentation/mobility/location-selection-api/reference/rest/v1beta/LatLng`)`` Customer's intended destination location. Set if requesting pickup points to be ordered by destination ETA. |
| `maxResults` | `integer` Required. Maximum number of results to be returned. Must be greater than 0. |
| `travelModes[]` | ``enum (`https://developers.google.com/maps/documentation/mobility/location-selection-api/reference/rest/v1beta/TravelMode`)`` Required. Only pickup points that allow at least one of the specified travel mode are returned. Supported travel modes: DRIVING and TWO_WHEELER. At least one mode must be specified. |
| `computeWalkingEta` | `boolean` If true, the walking ETA from the search location to the pickup point is computed. |
| `computeDrivingEta` | `boolean` If true and destination is specified, the driving ETA from the pickup point to the destination is computed. |

### Response body

If successful, the response body contains data with the following structure:
Find pickup points for place response message.

| JSON representation |
|---|
| ``` { "pickupPointResults": [ { object (`https://developers.google.com/maps/documentation/mobility/location-selection-api/reference/rest/v1beta/PickupPointResult`) } ], "placeResult": { object (`https://developers.google.com/maps/documentation/mobility/location-selection-api/reference/rest/v1beta/PlaceResult`) } } ``` |

| Fields ||
|---|---|
| `pickupPointResults[]` | ``object (`https://developers.google.com/maps/documentation/mobility/location-selection-api/reference/rest/v1beta/PickupPointResult`)`` Pick-up points that match the request criteria. May be empty if no pickup points match the request criteria. |
| `placeResult` | ``object (`https://developers.google.com/maps/documentation/mobility/location-selection-api/reference/rest/v1beta/PlaceResult`)`` Place associated with given place id in request. |